Subject: Re: linux-next: build warnings after merge of the net-next tree

From: Kalle Valo <[email-masked]>
Date: Fri, 19 Feb 2021 16:57:44 +0200

Stephen Rothwell <[email-masked]> writes:

> Hi all,
>
> On Fri, 19 Feb 2021 07:52:56 +1100 Stephen Rothwell <[email-masked]> wrote:
>>
>> After merging the net-next tree, today's linux-next build (htmldocs)
>> produced these warnings:
>> 
>> Documentation/networking/filter.rst:1053: WARNING: Inline emphasis start-string without end-string.
>> Documentation/networking/filter.rst:1053: WARNING: Inline emphasis start-string without end-string.
>> Documentation/networking/filter.rst:1053: WARNING: Inline emphasis start-string without end-string.
>> Documentation/networking/filter.rst:1053: WARNING: Inline emphasis start-string without end-string.
>> 
>> Introduced by commit
>> 
>>   91c960b00566 ("bpf: Rename BPF_XADD and prepare to encode other atomics in .imm")
>> 
>> Sorry that I missed these earlier.
>
> These have been fixed in the net-next tree, actually.  I was fooled
> because an earlier part of the net-next tree has been included in the
> wireless-drivers (not -next) tree today so these warnings popped up
> earlier, but are gone one the rest of the net-next tree is merged.
>
> Sorry for the noise.

Argh, sorry about that Stephen. I was preparing wireless-drivers for
followup fixes sent during the merge window, but didn't realise that it
will mess up your tree building. I need to avoid this in the future and
wireless-drivers should only follow the net tree.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches